> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apifycloud.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delivery Report

> Get delivery performance report by campaign

## Endpoint

`GET https://api.apifycloud.io/api/v1/analytics/{appId}/reports/delivery-performance`

## Authentication

Bearer token required.

Scope: `analytics:read`

## Query parameters

* `startDate` (string, optional, ISO datetime)
* `endDate` (string, optional, ISO datetime)

## Response

```json theme={null}
{
  "data": [
    {
      "campaign_id": "uuid",
      "campaign_name": "Launch",
      "created_at": "2026-02-18T00:00:00.000Z",
      "sent_count": 100,
      "delivered_count": 90,
      "read_count": 70,
      "failed_count": 10,
      "delivery_rate": 90.0,
      "read_rate": 77.78
    }
  ],
  "meta": {
    "timestamp": "2026-02-18T00:00:00.000Z"
  }
}
```

## Errors

* `403 forbidden` unauthorized for app or missing scope
* `400 validation_error` invalid query parameters
* `429 rate_limit_exceeded`
* `500 server_error`
